Packager: Repocop Q. A. Robot <repocop@altlinux.org>
# -*- coding: utf-8; mode: rpm-spec -*-
# $Id: slrn.spec,v 1.9 2006/07/15 11:07:04 eugene Exp $

%define orig_release alt9

Name: slrn
Version: 0.9.8.1
%if_with asp_patches
Release: %orig_release.asp.1
%else
Release: %orig_release.1
%endif
Summary: A powerful, easy to use, threaded Internet news reader

License: GPL
Group: Networking/News
Url: http://slrn.sourceforge.net/
Source0: ftp://slrn.sourceforge.net/pub/slrn/%name-%version.tar.bz2
#Source1: slrnpull-expire
#Source2: slrnpull.log
#Source3: README.rpm-slrnpull
#Source4: %name.xpm.bz2
Source4: %name-icon.xpm
Source5: %name-macros.tar.gz
Source6: %name-getdesc
Source7: FIRST_STEPS-ru_RU.KOI8-R
Source8: fido-samples-0.1.tar.gz
Source9: adsc-0.2.tgz
Source10: README.asp.en
Source11: README.asp.ru
Source12: slrn-ru.po
Source13: %name.desktop

Patch0: slrnfeat.h.diff
#Patch1: %name-ipv6-conf.diff.bz2
#Patch2: %name-ipv6.patch.bz2
Patch3: slrnpull.sh.diff.bz2
Patch4: %name-initial.asp.patch
Patch5: %name-mime.asp.patch
Patch6: %name-newfwd.asp.patch
Patch7: %name-save.asp.patch
Patch8: %name-%version-fetch.diff
Patch9: %name-%version-lastchar2.diff
Patch10: %name-rc.asp.patch
Patch11: %name-rc_default.patch

Requires: slang >= 1.4.0

# Automatically added by buildreq on Tue Apr 12 2005 (-bi)
BuildRequires: libgcrypt-devel libgnutls-devel libgnutls-extra-devel libgnutls-openssl-devel libgpg-error libslang-devel libssl-devel libtasn1-devel postfix


%description
SLRN is a powerful, easy to use, threaded Internet news reader.  SLRN is
highly customizable and allows you to design complex filters to sort or kill
news articles.  SLRN works well over slow network connections, and includes
a utility for reading news off-line.

Install slrn if you need a full-featured news reader, if you have a slow
network connection, or if you'd like to save on-line time by reading your
news off-line.

%package pull
Summary: Offline news reading support for slrn
Group: Networking/News
Requires: %name = %version

%description pull
This package provides slrnpull, which allows set up of a small news
spool for offline news reading.


%prep
%setup  -q
%patch0 -p1
#%patch1 -p1
#%patch2 -p1
%patch3 -p1

# ASP patches
%if_with asp_patches
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch10 -p1
%else
%patch11 -p1
%endif

%patch8 -p1
%patch9 -p1

%__cp -f %SOURCE12 po/ru.po


%build
if pkg-config openssl ; then
        CPPFLAGS=`pkg-config --cflags openssl`; export CPPFLAGS
        LDFLAGS=`pkg-config --libs-only-L openssl`; export LDFLAGS
fi
export CFLAGS="$RPM_OPT_FLAGS"
%configure --with-ssl \
	   --with-gnutls \
	   --sysconfdir=/etc/news \
	   --enable-ipv6 \
	   --with-slang-includes \
	   --with-slang-library \
	   --with-slrnpull \
	   --disable-inews \
	   --enable-grouplens \
	   --enable-spool \
	   --enable-mid-cache \
	   --enable-largefile \
	   --enable-mime \
	   --enable-spoilers \
	   --enable-emph-text \
	   --with-ssl-includes=%_includedir \
	   --with-ssl-library=%_libdir \
	   --with-gnutls-includes=%_includedir \
	   --with-gnutls-library=%_libdir

#	   --with-uudeview

#	   --with-ssl-includes=/usr/include/openssl \
#	   --with-ssl-library=/lib/libssl.so.4 \
#	   --with-gnutls-library=/usr/lib/libgnutls-extra.so.11 \
#	   --with-gnutls-includes=/usr/include/gnutls

# yves 0.9.7.4 - %%make breaks ipv6 support...
%make_build CFLAGS="$RPM_OPT_FLAGS -DHAVE_KOI8_CHARMAP" slrn_cv_domain=no
%make_build slrnpull CFLAGS="$RPM_OPT_FLAGS -DHAVE_KOI8_CHARMAP" slrn_cv_domain=no


%install
%makeinstall
%make_install DESTDIR=$RPM_BUILD_ROOT

%find_lang %name
bzip2 --best doc/%name.1 doc/slrnpull.1
mkdir -p $RPM_BUILD_ROOT/etc/{cron.daily,logrotate.d,news}
# mkdir -p $RPM_BUILD_ROOT%_iconsdir
#bzcat %SOURCE4 > $RPM_BUILD_ROOT%_iconsdir/%name.xpm
# %__cp %SOURCE4 $RPM_BUILD_ROOT%_iconsdir/%name.xpm
install doc/slrn.rc $RPM_BUILD_ROOT/etc/news/

mkdir doc/examples
mv doc/slrn.rc doc/examples
cp %SOURCE6 doc/examples
cp %SOURCE7 doc
cp %SOURCE10 doc
cp %SOURCE11 doc

# Menu entry
# %__mkdir_p %buildroot/%_menudir
# cat > %buildroot/%_menudir/%name <<EOF
# ?package(slrn):\
#  	command="%_bindir/%name" needs="text" icon="%name.xpm"\
#   	section="Networking/News" title="Slrn" longtitle="A powerful, easy to use, threaded Internet news reader"
# EOF
# Desktop entry
install -d %buildroot%_desktopdir
install -m 644 %SOURCE13 %buildroot%_desktopdir/%name.desktop
install -d %buildroot%_niconsdir
install -m 644 %SOURCE4 %buildroot%_niconsdir/%name.xpm

tar xzf %SOURCE5 -C doc
mv doc/slrn-macros doc/macros
tar xzf %SOURCE8 -C doc/examples
tar xzf %SOURCE9 -C doc/examples
mv doc/examples/adsc-0.2 doc/examples/adaptive-scoring


%files -f %name.lang
%_bindir/%name
%doc doc/FIRST_STEPS doc/README.SSL doc/help.txt doc/score.txt doc/slrnfuns.txt
%doc COPYRIGHT README doc/README.macros doc/THANKS doc/manual.txt doc/slrn-doc.html
%doc doc/FAQ doc/README.GroupLens doc/README.multiuser changes.txt doc/score.sl
%doc doc/examples
%doc doc/macros
%doc contrib
%doc doc/FIRST_STEPS-ru_RU.KOI8-R
%if_with asp_patches
%doc doc/README.asp.ru doc/README.asp.en
%endif
%_mandir/man1/%name.1.gz
%config(noreplace) %_sysconfdir/news/*
# %_menudir/%name
%_desktopdir/%name.desktop
%dir %_datadir/%name/
%_datadir/%name/macros
# %_iconsdir/%name.xpm
%_niconsdir/%name.xpm
%exclude %_defaultdocdir/%name

%files pull
%doc doc/slrnpull/*
%_mandir/man1/slrnpull.1.gz
%_bindir/slrnpull


%changelog
* Wed Nov 04 2009 Igor Vlasenko <viy@altlinux.ru> 0.9.8.1-alt9.1
- NMU (by repocop): the following fixes applied:
  * update_menus for slrn

* Thu Oct 12 2006 Eugene Vlasov <eugvv@altlinux.ru> 0.9.8.1-alt9
- Fixed build on x86_64
- Menu file replaced by desktop entry
- Moved icon file to %%_niconsdir
- Removed %%__ macro

* Sat Jul 15 2006 Eugene Vlasov <eugvv@altlinux.ru> 0.9.8.1-alt8
- Build without inews
- Fixed unpackaged files warnings

* Wed May 31 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.8.1-alt7.1
- Rebuild with libgnutls.so.13 .

* Tue Sep 13 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.9.8.1-alt7
- Dir %_datadir/%name now belongs to package

* Fri Jul 29 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.9.8.1-alt6
- Updated lastchar patch
- Include ASP patches (optional). Add build option "--with asp_patches" to apply patches
- Updated russian translation (from Andy Shevchenko)

* Wed Jun 22 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.9.8.1-alt5
- Changed application icon
- Removed unused Source entries
- Documentation changes:
  * Added macros samples from %url
  * Added sample script for update newsgroup description file
  * Added russian translation FIRST_STEPS
  * Added config samples for FIDO (quoting, X-Comment-To). Thanks to Edward
    Yudanov
  * Added scripts from contrib
  * Added macros samples for adaptive scoring

* Wed Jun 01 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.8.1-alt4.1
- Rebuilt with libgnutls.so.12.

* Wed Apr 13 2005 Eugene Vlasov <eugvv@altlinux.ru> 0.9.8.1-alt4
- Enabled custom from headers
- Disabled profiling
- Removed dependencies on fixed version autotools
- Other minor spec fixes

* Sat Oct 17 2004 Nazar Yurpeak <phoenix@altlinux.org> 0.9.8.1-alt3
- Official bug fixes from http://%name.sf.net
- added mid-cache support
- added TLS support

* Mon Oct 11 2004 Nazar Yurpeak <phoenix@altlinux.org> 0.9.8.1-alt2
- Official bug fixes from http://%name.sf.net

* Fri Oct 08 2004 Nazar Yurpeak <phoenix@altlinux.org> 0.9.8.1-alt1
- New version

* Thu May 27 2004 Nazar Yurpeak <phoenix@altlinux.org> 0.9.8.0-alt2
- Official bug fixes from http://%name.sf.net

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.8.0-alt1.1
- Rebuilt with openssl-0.9.7d.

* Wed Aug 27 2003 Nazar Yurpeak <phoenix@altlinux.ru> 0.9.8.0-alt1
- new version
- removed ipv6 patches
- Enable inews posting support
- Enable GroupLens support
- Enable support for reading directly from spool

* Tue May 06 2003 Nazar Yurpeak <phoenix@altlinux.ru> 0.9.7.4-alt9
- added asp patches

* Mon Apr 07 2003 Nazar Yurpeak <phoenix@altlinux.ru> 0.9.7.4-alt8
- fixed spec

* Tue Mar 18 2003 Nazar Yurpeak <phoenix@altlinux.ru> 0.9.7.4-alt7
- added autoconf and automake version

* Fri Mar 14 2003 Nazar Yurpeak <phoenix@altlinux.ru> 0.9.7.4-alt6
- bug #0002344 fix

* Tue Oct 01 2002 Nazar Yurpeak <phoenix@altlinux.ru> 0.9.7.4-alt5
- First preview of slrn 0.9.8.0
- cleanup spec

* Sat Aug 17 2002 Nazar Yurpeak <phoenix@altlinux.ru> 0.9.7.4-alt4
- rebuild with gcc3.2
- update BuildReq

* Mon Aug 5 2002 Nazar Yurpeak <phoenix@altlinux.ru> 0.9.7.4-alt3
- fix spec

* Tue Jun 26 2002 Nazar Yurpeak <phoenix@altlinux.ru> 0.9.7.4-alt2
- fix spec

* Fri Jun 21 2002 Nazar Yurpeak <phoenix@altlinux.ru> 0.9.7.4-alt1
- fix ru.po
- added patch{1,2,4} from slrn homepage
- new version

* Thu Jul 12 2001 Sergie Pugachev <fd_rag@altlinux.ru> 0.9.7.1-alt1
- new version

* Sat Feb 3 2001 AEN <aen@logic.ru>
- RE adaptation
- buid with koi8 support

* Wed Jan  5 2001 Yves Duret <yduret@mandraksoft.com> 0.9.6.3-10mdk
- clean up spec file
- updated the requires tag
- added many bug fix and security fix (pl4) from the slrn team

* Fri Oct 27 2000 DindinX <odin@mandrakesoft.com> 0.9.6.3-9mdk
- 0.9.6.3
- small spec fixes

* Tue Sep 05 2000 DindinX <odin@mandrakesoft.com> 0.9.5.7-8mdk
- fix paths (use macros)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.5.7-7mdk
- automatically added BuildRequires

* Sun Jun 04 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.5.7-6mdk
- Really fix %%doc

* Wed May 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.9.5.7-5mdk
- Fix %%doc

* Thu May  4 2000 Vincent Saugey <vince@mandrakesoft.com> 0.9.5.7-4mdk
- Remove the menu entry

* Tue Apr 11 2000 Denis Havlik <denis@mandrakesoft.com> 0.9.5.7-3mdk
- icons, file atributes

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.5.7-2mdk
- Add menu support.
- Update groups.
- Clen-up specs.

* Sat Nov 06 1999 John Buswell <johnb@mandrakesoft.com>
- 0.9.5.7
- Build Release

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.9.5.6.

* Wed Apr 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adptations.
- Update to 0.9.5.5.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 4)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- return of wmconfig

* Mon Nov  9 1998 Bill Nottingham <notting@redhat.com>
- add bugfix patch from jed

* Fri Nov  6 1998 Bill Nottingham <notting@redhat.com>
- update to 0.9.5.4

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- built for Raw Hide
- added bugfix patch

* Tue Sep 8 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.5.3-2]
- Fixed a couple of stupid things I did.
- Took out -fno-strength-reduce. AFAIK, gcc on RH5.1 doesn't have this bug. I
  use egcs which shouldn't have this bug. And if you have this bug, *and* are
  recompiling on your own machin, you should have -fno-strength-reduce in your
  RPM_OPT_FLAGS anyway.

* Tue Sep 8 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.5.3-1]
- Updated to 0.9.5.3

* Mon Jun 1 1998 Manoj Kasichainula <manojk+rpm@io.com>
- added translations from RH 5.1 (still none for slrn-pull package)

* Mon May 4 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.5.2-1]
- updated to 0.9.5.2

* Wed Apr 22 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.5.1-1]
- updated to 0.9.5.1

* Mon Apr 12 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.4.6-3]
- updated to require slang 1.2.1

* Sun Apr 12 1998 Manoj Kasichainula <manojk+rpm@io.com>
[0.9.4.6-2]
- updated to require slang 1.2.0

* Wed Feb 11 1998 Manoj Kasichainula <manojk+rpm@io.com>
(my unreleased 0.9.4.6-1)
- updated to 0.9.4.6

* Tue Feb 3 1998 Manoj Kasichainula <manojk+rpm@io.com>
- docs are now forced to 644 to prevent including /bin/sh as a requirement
- added macros in the doc directory
- should now be buildable by non-root

* Thu Jan 29 1998 Bill Nottingham <wen1@cec.wustl.edu>
- updated to 0.9.4.5
- added wmconfig entry

* Sat Sep 13 1997 Manoj Kasichainula <manojk+rpm@io.com> (0.9.4.3-2)
- Fixes from JED
- default mode for slrnpull posts set to 0640, so slrnpull can read it as
  non-root
- lots of pre-setup for slrnpull
  - directories set up
  - automatic daily expiration
  - moved slrnpull directory to /var/spool/slrnpull, to match (most) docs
  - more
- minor spec file changes

* Sat Jul 12 1997 Manoj Kasichainula <manojk+rpm@io.com> (0.9.4.3-1)
- Initial release for 0.9.4.3

